#
# spec file for package rpcsvc-proto
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           rpcsvc-proto
Version:        1.4.2
Release:        1.46
Summary:        RPC protocol definitions
License:        BSD-3-Clause
Group:          System/Libraries
URL:            http://github.com/thkukuk/rpcsvc-proto
Source:         %{name}-%{version}.tar.xz

%description
The rpcsvc-proto package includes several rpcsvc header files
and RPC protocol definitions from SunRPC sources (as shipped with
glibc).

%package devel
Summary:        RPC protocol definitions
Group:          Development/Libraries/C and C++

%description devel
The rpcsvc-proto package includes several rpcsvc header files
and RPC protocol definitions from SunRPC sources (as shipped with
glibc).

%package -n rpcgen
Summary:        RPC protocol compiler
Group:          Development/Tools/Other
Provides:       glibc-devel:%{_bindir}/rpcgen

%description -n rpcgen
rpcgen is a tool that generates C code to implement an RPC protocol.
The input to rpcgen is a language similar to C known as RPC Language
(Remote Procedure Call Language).

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files devel
%license COPYING
%dir %{_includedir}/rpcsvc
%{_includedir}/rpcsvc/*

%files -n rpcgen
%license COPYING
%{_bindir}/rpcgen
%{_mandir}/man1/rpcgen.1*

%changelog
* Mon Jun 29 2020 kukuk@suse.com
- Update to version 1.4.2
  - Allow newer gettext versions
  - Add support for external libintl
* Mon May 28 2018 kukuk@suse.de
- Update to version 1.4
  - Remove historic _RPC_THREAD_SAFE_ preprocessor conditional
* Fri Feb 23 2018 kukuk@suse.com
- Use %%license instead of %%doc [bsc#1082318]
* Mon Jan 15 2018 kukuk@suse.de
- Update to version 1.3.1
  - fix autogen.sh script
- Revert renames to tirpc, make it directly useable. glibc no
  longer contains this files.
* Fri Nov 24 2017 kukuk@suse.de
- Update to version 1.3
  - only use original BSD-3-Clause code
  - Correct email addresses
* Sun Nov 12 2017 kukuk@suse.de
- Re-enable rpcgen sub-package, but rename files, for easier
  migration later
* Sun Nov 12 2017 kukuk@suse.de
- Disable rpcgen sub-package and install header files in tirpc
  sub-directory until we deprecate sunrpc in glibc
* Thu Feb 23 2017 kukuk@suse.de
- Update to version 1.2
  - fix possible buffer overrun in rpcgen
* Tue Apr  5 2016 kukuk@suse.de
- Update to version 1.1
  - ship own rpcgen
* Thu Mar 31 2016 kukuk@suse.de
- Initial package
